<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	
	 $q1 = "SELECT idcd, lugar FROM centros";
	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 extract($_POST);
	 echo"<center><font size=\"5\"><b>Nuevo Centro de Distribuci&oacute;n</b><br><br></font>";
	if($lista2!="Agregar Centro"){

echo"<form name=\"Agrega2\" action=\"agregacentro.php\" method=\"post\">
<table cellpadding=\"5\" cellspacing=\"5\">
								<tr><td>Encargado</td><td><input type=\"text\" name=\"nombre\" value=\"\"></td>
								</tr>
								<tr><td>Ciudad</td><td><select name = \"listacd\">";
							while ($datos = mysqli_fetch_array($consultada1))
							{
									echo "<option value=\"".$datos[0]."\">".$datos[1]."</option>\n";
							
							}
							echo"</select></td></tr>
								<tr><td>Nombre Usuario:</td><td><input type=\"text\" name=\"user\" value=\"\"></td></tr>
								<tr><td>Contrase�a</td><td><input type=\"text\" name=\"pass\" value=\"\"></td></tr>
								</table>

<input type=\"submit\" name=\"lista2\"  value=\"Agregar Centro\" /></form>
";}
else {
	
	
	if($nombre!=null && $listacd!=null && $user!=null && $pass!=null){
echo"Los datos capturados son los siguientes:<br><br>
Encargado: <b>$nombre</b><br><br>
ID Ciudad: <b>$listacd</b><br><br>
Usuario: <b>$user</b><br><br>
Contrase�a: <b>$pass</b><br><br>

<form name=\"Agrega3\" action=\"agregacentro2.php\" method=\"post\">
<input type=hidden name=nom value=\"$nombre\" />
<input type=hidden name=cd value=\"$listacd\" />
<input type=hidden name=use value=\"$user\" />
<input type=hidden name=pas value=\"$pass\" />
<input type=\"submit\" name=\"lista2\"  value=\"Dar de alta centro en sistema\" /></form>
";	}
else { echo"Existe un Error en la Captura<br>Favor de Intentar nuevamente";
}

}
?>